﻿<%@ Page Language="C#" %>

<!DOCTYPE html>

<script runat="server">

    protected void Page_Load(object sender, EventArgs e)
    {
        Ektron.Cms.Framework.User.UserManager uManager = new Ektron.Cms.Framework.User.UserManager();
        if (uManager.UserId < 1)
        {
            form1.Visible = false;
            Response.Write("You must be logged in as a cms user to run this page.");
        }
        else
        {
            var user = uManager.GetItem(uManager.UserId);
            if (user.IsMemberShip)
            {
                form1.Visible = false;
                Response.Write("You must be logged in as a cms user to run this page.");
            }
        }
    }
    protected void submit_Click(object sender, EventArgs e)
    {
        //new threaded discussion instance
        Ektron.Cms.API.Content.ThreadedDiscussion td = new Ektron.Cms.API.Content.ThreadedDiscussion();
        if (td.RequestInformationRef.UserId > 0)
        {
            //check for board field
            if (boardid.Text != "")
            {
                Ektron.Cms.ObjectWatch watch = new Ektron.Cms.ObjectWatch();
                if (userid.Text != "")
                {
                    watch = td.EkContentRef.GetWatch(long.Parse(boardid.Text), Ektron.Cms.Common.EkEnumeration.CMSObjectTypes.DiscussionBoard, long.Parse(userid.Text), 0);
                }
                else
                {
                    watch = td.EkContentRef.GetWatch(long.Parse(boardid.Text), Ektron.Cms.Common.EkEnumeration.CMSObjectTypes.DiscussionBoard, 0, long.Parse(groupid.Text));
                }
                if (watch.DoesExist)
                {
                    Response.Write("Subscription exists for board<br />");
                }
                else
                {
                    Response.Write("Subscription doesn't exists for board<br />");
                }
            }
            //check for forum field
            if (forumid.Text != "")
            {
                Ektron.Cms.ObjectWatch watch = new Ektron.Cms.ObjectWatch();
                if (userid.Text != "")
                {
                    watch = td.EkContentRef.GetWatch(long.Parse(forumid.Text), Ektron.Cms.Common.EkEnumeration.CMSObjectTypes.DiscussionForum, long.Parse(userid.Text), 0);
                }
                else
                {
                    watch = td.EkContentRef.GetWatch(long.Parse(forumid.Text), Ektron.Cms.Common.EkEnumeration.CMSObjectTypes.DiscussionForum, 0, long.Parse(groupid.Text));
                }
                if (watch.DoesExist)
                {
                    Response.Write("Subscription exists for forum<br />");
                }
                else
                {
                    Response.Write("Subscription doesn't exists for forum<br />");
                }
            }
            //check for topic field
            if (topicid.Text != "")
            {
                Ektron.Cms.ObjectWatch watch = new Ektron.Cms.ObjectWatch();
                if (userid.Text != "")
                {
                    watch = td.EkContentRef.GetWatch(long.Parse(topicid.Text), Ektron.Cms.Common.EkEnumeration.CMSObjectTypes.DiscussionTopic, long.Parse(userid.Text), 0);
                }
                else
                {
                    watch = td.EkContentRef.GetWatch(long.Parse(topicid.Text), Ektron.Cms.Common.EkEnumeration.CMSObjectTypes.DiscussionTopic, 0, long.Parse(groupid.Text));
                }
                if (watch.DoesExist)
                {
                    Response.Write("Subscription exists for topic<br />");
                }
                else
                {
                    Response.Write("Subscription doesn't exists for topic<br />");
                }
            }
        }
    }
</script>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Check forum subscriptions for a user</title>
</head>
<body>
    <form id="form1" runat="server">
        <h4>Check forum subscriptions</h4>
        User ID:
        <asp:TextBox ID="userid" runat="server"></asp:TextBox>
        <br />
        <strong>OR</strong><br />
        Group ID:
        <asp:TextBox ID="groupid" runat="server"></asp:TextBox>
        <br />
        <strong>AND</strong><br />
        <br />
        Board ID:
        <asp:TextBox ID="boardid" runat="server"></asp:TextBox>
        <br />
        Forum ID:
        <asp:TextBox ID="forumid" runat="server"></asp:TextBox>
        <br />
        Topic ID:
        <asp:TextBox ID="topicid" runat="server"></asp:TextBox>
        <br />
        <asp:Button ID="submit" runat="server" OnClick="submit_Click" Text="Check" />
    </form>
</body>
</html>
